#!/usr/bin/perl

# Associative arrays (hashes) use % instead of @, and
# $name{key} instead of $name[index].

# Initialize the hash to contain the key "ttuttle" with the value "awesome".
my %dict = ( 'ttuttle' => 'awesome' );

# Add the key "Perl" with the value "The best language ever".
$dict{'Perl'} = 'the best language ever';

while (<>) {
	chomp($_);
	if (/^what is (.*?)\??$/i) {
		# Check if the word is in the dictionary.
		if (exists $dict{$1}) {
			print "$1 is $dict{$1}.\n";
		} else {
			print "I do not know what $1 is.\n";
		}
	} elsif (/^(.*) is (.*)$/) {
		# Add the word to the dictionary.
		$dict{$1} = $2;
		print "$1 is now $2.\n";
	} else {
		print "Huh?!\n";
		print "Try typing \"<word> is <meaning>\" or \"what is <word>?\".\n";
	}
}
