#!/bin/bash

VERBOSE=0;

# Note that the quotes around $1 are important!  Without them, the loop will
# run forever!
while [ -n "$1" ]; do
	case "$1" in
	"-v")
		VERBOSE=1;
		shift;
		;;
	"-l")
		if [ $VERBOSE -eq 1 ]; then echo "Listing $2"; fi
		ls "$2";
		shift 2; # same as shift; shift;
		# -l directory ...
		# shift once: directory ...
		# shift again: ...
		;;
	"-c")
		if [ $VERBOSE -eq 1 ]; then echo "Catting $2"; fi
		cat "$2"/*;
		shift; shift;
		;;
	*)
		break # breaks out of while loop
		;; # breaks out of case statement
	esac
done

echo "$*";
